Part Tube: Difference between revisions

From FreeCAD Documentation
No edit summary
Line 33: Line 33:
<!--T:7-->
<!--T:7-->
To create a tube either:
To create a tube either:
* press the {{Button|[[Image:Part_Tube.svg|16px]] '''Tube'''}} button in the toolbar
* press the {{Button|[[Image:Part_Tube.svg|16px]] Tube}} button in the toolbar
* use the menu {{MenuCommand|Part → Primitives → Create tube}}
* use the menu {{MenuCommand|Part → Primitives → Create tube}}


<!--T:8-->
<!--T:8-->
To edit the tube
To edit the tube:
* either
* either
** select it in the tree and double-click on it
** select it in the tree and double-click on it
** edit the parameters in the appearing dialog
** edit the parameters in the appearing dialog
* or use the the [[Property_editor | property editor]] to edit the parameters
* or use the the [[Property_editor|property editor]] to edit the parameters


==Properties== <!--T:9-->
==Properties== <!--T:9-->


<!--T:10-->
<!--T:10-->
* Via the [[Property_editor | Property Editor]]:
* Via the [[Property_editor|Property Editor]]:
** {{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement|Placement]]. The reference point is the left front lower corner of the box.
** '''Height:''' Sets the height (default is 10 mm).
** {{PropertyData|Label}}: The Label is the name given to the operation. This name can be changed at your convenience.
** '''Inner Radius:''' Set the inner radius (default is 2 mm).
** '''Outer Radius:''' Set the outer radius (default is 5 mm).
** {{PropertyData|Height}}: Sets the height (default is 10 mm).
** {{PropertyData|Inner Radius}}: Set the inner radius (default is 2 mm).
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** {{PropertyData|Outer Radius}}: Set the outer radius (default is 5 mm).
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


== Scripting ==
== Scripting ==

Revision as of 21:07, 5 January 2022

Part Tube

Menu location
Part → Primitives → Create tube
Workbenches
Part
Default shortcut
None
Introduced in version
0.19
See also
Part CreatePrimitives

Description

The Tube command inserts a tube into the active document. The tube is geometrically treated as a cut of a smaller cylinder into a larger one. By default, the command will insert a 10 mm high tube with an outer radius of 5 mm and an inner radius of 2 mm. These parameters can be modified after the object has been added.

Screenshot of a Tube

Usage

To create a tube either:

  • press the Tube button in the toolbar
  • use the menu Part → Primitives → Create tube

To edit the tube:

  • either
    • select it in the tree and double-click on it
    • edit the parameters in the appearing dialog
  • or use the the property editor to edit the parameters

Properties

  • Via the Property Editor:
    • DataPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • DataLabel: The Label is the name given to the operation. This name can be changed at your convenience.
    • DataHeight: Sets the height (default is 10 mm).
    • DataInner Radius: Set the inner radius (default is 2 mm).
    • DataOuter Radius: Set the outer radius (default is 5 mm).

Scripting

A Part Tube can be created using the following function:

tube = FreeCAD.ActiveDocument.addObject("Part::Tube", "myTube")
  • Where "myTube" is the name for the object.
  • The function returns the newly created object.